# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkId

Inherits:
  Token
  - Object
  - Token
  - YARD::Parser::Ruby::Legacy::RubyToken::TkId
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Overview

Represents a Ruby identifier

## Direct Known Subclasses

TkKW

## Instance Attribute Summary collapse

- #name ⇒ Object readonly

  Returns the value of attribute name.

## Instance Method Summary collapse

- #initialize(line_no, char_no, name) ⇒ TkId constructor

  A new instance of TkId.

## Constructor Details

### #initialize(line_no, char_no, name) ⇒ `TkId`

Returns a new instance of TkId.

    73
    74
    75
    76

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 73

    def initialize(line_no, char_no, name)
      super(line_no, char_no)
      @name = name
    end

## Instance Attribute Details

### #name ⇒ `Object` (readonly)

Returns the value of attribute name.

    77
    78
    79

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 77

    def name
      @name
    end